Subject: Re: KVM induced panic on 2.6.38[2367] & 2.6.39

From: Avi Kivity <[email-masked]>
Date: Mon, 22 Aug 2011 09:36:04 +0300

On 08/20/2011 04:16 PM, Brad Campbell wrote:
> Author: Alexander Duyck <[email-masked]>
> Date:   Thu Jul 1 13:28:27 2010 +0000
>
>     x86: Drop CONFIG_MCORE2 check around setting of NET_IP_ALIGN
>
>     This patch removes the CONFIG_MCORE2 check from around 
> NET_IP_ALIGN.  It is
>     based on a suggestion from Andi Kleen.  The assumption is that 
> there are
>     not any x86 cores where unaligned access is really slow, and this 
> change
>     would allow for a performance improvement to still exist on 
> configurations
>     that are not necessarily optimized for Core 2.
>
>     Cc: Andi Kleen <[email-masked]>
>     Cc: Thomas Gleixner <[email-masked]>
>     Cc: Ingo Molnar <[email-masked]>
>     Cc: "H. Peter Anvin" <[email-masked]>
>     Cc: [email-masked]
>     Signed-off-by: Alexander Duyck <[email-masked]>
>     Signed-off-by: Jeff Kirsher <[email-masked]>
>     Acked-by: H. Peter Anvin <[email-masked]>
>     Signed-off-by: David S. Miller <[email-masked]>
>
> :040000 040000 5a15867789080a2f67a74b17c4422f85b7a9fb4a 
> b98769348bd765731ca3ff03b33764257e23226c M    arch
>
> I can confirm this bug exists in the 3.0 kernel, however I'm unable to 
> reproduce it on todays git.
>
> So anyone using netfilter, kvm and bridge on kernels between 
> 2.6.36-rc1 and 3.0 may hit this bug, but it looks like it is fixed in 
> the current 3.1-rc kernels.
>

Thanks for this effort.  I don't think this patch is buggy in itself, it 
merely exposed another bug which was fixed later on.

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.